package SlackBuild::Request::Loader::file;
use strict;
use warnings;
use JSON;
use YAML ();
use Carp;

our $PRIORITY = 10;

sub Load {
    my ($class, $reqname) = @_;
    if (-f $reqname) {
	local $/ = undef;
	open(my $fd, $reqname) or croak "can't open file $reqname: $!";
	my $string = <$fd>;
	close $fd;
	if ($string =~ /^\{/) {
	    return decode_json($string);
	}
	return YAML::Load($string);
    }
}   

1;

