package SlackBuild::Request::Loader::url;
use strict;
use warnings;
use URI;

our $PRIORITY = 30;

sub Load {
    my ($class, $reqname) = @_;
    if ($reqname =~ m{^\w+://}) {
	my $uri = new URI($reqname);
	if ($uri->scheme =~ m{^(?:http|ftp)s?}
	    && $uri->path =~ m{.*/(.+?)\.tar(?:\.(?:[xgl]z|bz2))?}x) {
	    return { package => $1, slackbuild_uri => $reqname };
	}
	if ($uri->scheme eq 'sbo') {
	    return { package => $uri->package, slackbuild_uri => $reqname }
	}
    }
}

1;
